Bug 199946 - [NEW PORT] www/py-collective.templateengines: template engine abstraction layer for Python
Summary: [NEW PORT] www/py-collective.templateengines: template engine abstraction lay...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks: 198704
  Show dependency treegraph
 
Reported: 2015-05-05 08:26 UTC by Michelle Sullivan
Modified: 2015-06-01 18:42 UTC (History)
1 user (show)

See Also:


Attachments
shar file for www/py-collective.templateengines (1.98 KB, application/x-shar)
2015-05-05 08:26 UTC, Michelle Sullivan
no flags Details
New Shar file (changed categories order) (1.98 KB, application/x-shar)
2015-05-07 09:49 UTC, Michelle Sullivan
no flags Details
Combined logfiles for build (66.37 KB, text/plain)
2015-05-07 09:50 UTC, Michelle Sullivan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michelle Sullivan 2015-05-05 08:26:43 UTC
Created attachment 156365 [details]
shar file for www/py-collective.templateengines

Dependency for py-collective.easytemplate
Comment 1 Michelle Sullivan 2015-05-05 08:28:25 UTC
www/py-collective.templateengines$ portlint -AC
looks fine.

Will add testport later.
Comment 2 Michelle Sullivan 2015-05-07 09:49:20 UTC
Created attachment 156461 [details]
New Shar file (changed categories order)

New Shar file (changed categories order) removed dependency on setuptools (this is already a dependent)
Comment 3 Michelle Sullivan 2015-05-07 09:50:43 UTC
Created attachment 156462 [details]
Combined logfiles for build

Combined logfiles for build (testport) of:

py-collective.easytemplate
py.collective.templateengines
Comment 4 commit-hook freebsd_committer 2015-06-01 18:37:28 UTC
A commit references this bug:

Author: rm
Date: Mon Jun  1 18:37:07 UTC 2015
New revision: 388248
URL: https://svnweb.freebsd.org/changeset/ports/388248

Log:
  collective.templateengines is an template engine abstraction layer for Python.
  It defines generic Zope interfaces for communicating with various Python
  template engines to achieve higher code reuse value.

  WWW: https://pypi.python.org/pypi/collective.templateengines/

  PR:		199946
  Submitted by:	Michelle Sullivan <michelle@sorbs.net>

Changes:
  head/www/Makefile
  head/www/py-collective.templateengines/
  head/www/py-collective.templateengines/Makefile
  head/www/py-collective.templateengines/distinfo
  head/www/py-collective.templateengines/pkg-descr
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2015-06-01 18:42:53 UTC
Committed, thank you!

I corrected the license - BSD instead of GPLv2.